Bug 1478168 - [OSP12] tempest.api.identity.admin.v3.test_roles.RolesV3TestJSON.test_implied_roles_create_check_show_delete was failed due to "Unexpected http success status code 200, The expected status code is 204""
[OSP12] tempest.api.identity.admin.v3.test_roles.RolesV3TestJSON.test_implied...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers (Show other bugs)
12.0 (Pike)
x86_64 Linux
high Severity high
: rc
: 12.0 (Pike)
Assigned To: Nathan Kinder
Aharon Canan
Andrew Burden
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 15:08 EDT by Artem Hrechanychenko
Modified: 2017-08-07 14:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-08-03 15:08:29 EDT
OSP12 HA+OC_SSL+UC_SSL
3ctrl+2comp nodes


Description of problem:
testtools.testresult.real._StringException: Empty attachments:
  stderr
  stdout

pythonlogging:'': {{{
2017-08-03 15:04:36,574 2556 INFO     [tempest.lib.common.rest_client] Request (RolesV3TestJSON:test_implied_roles_create_check_show_delete): 201 PUT http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8 0.161s
2017-08-03 15:04:36,574 2556 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '201', u'content-length': '513', 'content-location': 'http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8', u'vary': 'X-Auth-Token', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 19:04:34 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-b2c4472c-2bfe-4baa-bb22-06bdc7439bb9'}
        Body: {"role_inference": {"implies": {"id": "a26fefe32b874a73ac0556b0ac1db2d8", "links": {"self": "http://192.168.24.6:35357/v3/roles/a26fefe32b874a73ac0556b0ac1db2d8"}, "name": "tempest-role-1311653917"}, "prior_role": {"id": "bc54dbb79fa5447892bf05655d72c52a", "links": {"self": "http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a"}, "name": "tempest-role-239883948"}}, "links": {"self": "http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8"}}
2017-08-03 15:04:36,877 2556 INFO     [tempest.lib.common.rest_client] Request (RolesV3TestJSON:test_implied_roles_create_check_show_delete): 200 HEAD http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8 0.302s
2017-08-03 15:04:36,877 2556 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '513', 'content-location': 'http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8', u'vary': 'X-Auth-Token,Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 19:04:34 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-0fdb5a1f-419d-4847-ae51-5cbbe5466bd1'}
        Body: 
2017-08-03 15:04:37,059 2556 INFO     [tempest.lib.common.rest_client] Request (RolesV3TestJSON:_run_cleanups): 204 DELETE http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8 0.179s
2017-08-03 15:04:37,059 2556 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '204', 'content-location': 'http://192.168.24.6:35357/v3/roles/bc54dbb79fa5447892bf05655d72c52a/implies/a26fefe32b874a73ac0556b0ac1db2d8', u'vary': 'X-Auth-Token', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 19:04:35 GMT', u'content-type': 'text/plain', u'x-openstack-request-id': 'req-4f83126f-863c-459b-b927-7de665a01644'}
        Body:
}}}

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/api/identity/admin/v3/test_roles.py", line 228, in test_implied_roles_create_check_show_delete
    prior_role_id, implies_role_id)
  File "/usr/lib/python2.7/site-packages/tempest/lib/services/identity/v3/roles_client.py", line 233, in check_role_inference_rule
    self.expected_success(204, resp.status)
  File "/usr/lib/python2.7/site-packages/tempest/lib/common/rest_client.py", line 252, in expected_success
    raise exceptions.InvalidHttpSuccessCode(details)
tempest.lib.exceptions.InvalidHttpSuccessCode: The success code is different than the expected one
Details: Unexpected http success status code 200, The expected status code is 204


Version-Release number of selected component (if applicable):
OSP12
openstack-nova-compute-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstacklib-11.2.0-0.20170721172003.a3cef1d.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170721190058.e003b07.el7ost.noarch
python-openstacksdk-0.9.17-0.20170621195806.7946243.el7ost.noarch
openstack-swift-object-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170721174554.el7ost.noarch
openstack-mistral-engine-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-nova-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-conductor-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-glance-15.0.0-0.20170720002347.0752f7f.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170721140651.c389fae.el7ost.noarch
openstack-swift-container-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-keystone-12.0.0-0.20170719224216.025e844.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-swift-proxy-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-cfn-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170720220617.b908a30.el7ost.noarch
openstack-mistral-executor-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-validations-7.1.1-0.20170720215108.e6ebdd3.el7ost.noarch
openstack-nova-scheduler-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstack_extras-11.2.0-0.20170721171851.6a9d2aa.el7ost.noarch
openstack-tripleo-common-containers-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
python-openstackclient-3.11.0-0.20170613232431.c69304e.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170712081605.35068ac.el7ost.noarch
openstack-tripleo-common-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
openstack-swift-account-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-neutron-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-engine-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-mistral-common-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-ui-7.1.1-0.20170720050235.3cb948f.el7ost.noarch
openstack-zaqar-5.0.0-0.20170721081135.9b966b4.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-common-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-mistral-api-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
python-openstack-mistral-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-selinux-0.8.7-2.el7ost.noarch
openstack-nova-placement-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-common-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-tempest-16.1.1-0.20170721223940.e1e6e78.el7ost.noarch

images puddle:   2017-07-26.10

How reproducible:
always
Comment 2 Rob Crittenden 2017-08-07 14:18:10 EDT
I think this will be addressed by the request to update mod_wsgi in https://bugzilla.redhat.com/show_bug.cgi?id=1466799

Note You need to log in before you can comment on or make changes to this bug.